REM INFO: FlipSides v3.0 (PP8)
REM Copyright  James Aswell, 2000-2002
REM 
REM DESCRIPTION:
REM Flip image sides vertically or horizontally.

BEGIN DIALOG OBJECT Dialog1 185, 114, "FlipSides", SUB DoFlips
	PUSHBUTTON  31, 20, 30, 25, .PushButton1, "T"
	PUSHBUTTON  31, 76, 30, 25, .PushButton2, "B"
	PUSHBUTTON  14, 48, 30, 25, .PushButton3, "L"
	PUSHBUTTON  47, 48, 30, 25, .PushButton4, "R"
	PUSHBUTTON  122, 21, 30, 25, .PushButton5, "T"
	PUSHBUTTON  123, 76, 30, 25, .PushButton6, "B"
	PUSHBUTTON  106, 48, 30, 25, .PushButton7, "L"
	PUSHBUTTON  139, 48, 30, 25, .PushButton8, "R"
	GROUPBOX  2, 4, 88, 107, .GroupBox1, "Horizontal Flip"
	GROUPBOX  94, 4, 88, 107, .GroupBox2, "Vertical Flip"
END DIALOG


WITHOBJECT "CorelPhotoPaint.Automation.8"
ON ERROR GOTO ERRORHANDLER
IF .GetDocumentCount() = 0 THEN STOP

ret = Dialog(Dialog1)

stop

SUB DoFlips (BYVAL ControlID%, BYVAL Event%)

	IF Event% = 2 Then
	
		.MaskRemove
		
		IF .GetObjectCount() <> 0 THEN
			.ObjectSelectAll
			.ObjectMerge TRUE
		ENDIF

		xHeight = .GetDocumentHeight()
		xWidth = .GetDocumentWidth()

		a = 0
		b = 0
		c = xWidth
		d = xHeight

		HorizontalV = 1
		VerticalV = 1
		fh = TRUE

		IF ControlID% = 1 Then
			d = (xHeight/2)-1
		ElseIF ControlID% = 2 Then
			b = (xHeight/2)
			VerticalV = 2
		ElseIF ControlID% = 3 Then
			c = (xWidth/2)-1
		ElseIF ControlID% = 4 Then
			a = (xWidth/2)
			HorizontalV = 2
		ElseIF ControlID% = 5 Then
			d = (xHeight/2)-1
			fh = FALSE
		ElseIF ControlID% = 6 Then
			b = (xHeight/2)
			VerticalV = 2
			fh = FALSE
		ElseIF ControlID% = 7 Then
			c = (xWidth/2)-1
			fh = FALSE
		ElseIF ControlID% = 8 Then
			a = (xWidth/2)
			HorizontalV = 2
			fh = FALSE
		ENDIF

		.MaskRectangle a, b, c, d, 1, 0

		.ObjectCreate FALSE

		IF fh = FALSE THEN
			.ObjectFlipVertical
		ELSE
			.ObjectFlipHorizontal
		ENDIF

		.ObjectAlign HorizontalV, VerticalV, FALSE, FALSE, FALSE, FALSE, TRUE, TRUE, TRUE 

		.ObjectMerge TRUE
	ENDIF

END SUB

END WITHOBJECT
stop

ERRORHANDLER:
SELECT CASE ERRNUM
	CASE 603
		RESUME NEXT
	CASE ELSE
		MESSAGE "Unexpected Error:" + STR(ERRNUM)
		RESUME NEXT
END SELECT


